# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rubygame}
  s.version = "2.6.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["John Croisant"]
  s.date = %q{2010-04-16}
  s.email = %q{jacius@gmail.com}
  s.extra_rdoc_files = ["doc/windows_install.rdoc", "doc/custom_sdl_load_paths.rdoc", "doc/keyboard_symbols.rdoc", "doc/macosx_install.rdoc", "doc/managing_framerate.rdoc", "doc/surface_palettes.rdoc", "doc/getting_started.rdoc", "README", "LICENSE", "CREDITS", "ROADMAP", "NEWS"]
  s.files = ["lib/rubygame.rb", "lib/rubygame/main.rb", "lib/rubygame/ftor.rb", "lib/rubygame/sound.rb", "lib/rubygame/screen.rb", "lib/rubygame/clock.rb", "lib/rubygame/constants.rb", "lib/rubygame/mixer.rb", "lib/rubygame/color/models/rgb.rb", "lib/rubygame/color/models/hsl.rb", "lib/rubygame/color/models/hsv.rb", "lib/rubygame/color/models/base.rb", "lib/rubygame/color/palettes/palette.rb", "lib/rubygame/color/palettes/css.rb", "lib/rubygame/color/palettes/x11.rb", "lib/rubygame/event.rb", "lib/rubygame/event_actions.rb", "lib/rubygame/joystick.rb", "lib/rubygame/events.rb", "lib/rubygame/rect.rb", "lib/rubygame/mediabag.rb", "lib/rubygame/color.rb", "lib/rubygame/sprite.rb", "lib/rubygame/old_rect.rb", "lib/rubygame/event_triggers.rb", "lib/rubygame/music.rb", "lib/rubygame/surface.rb", "lib/rubygame/named_resource.rb", "lib/rubygame/keyconstants.rb", "lib/rubygame/hotspot.rb", "lib/rubygame/ttf.rb", "lib/rubygame/sfont.rb", "lib/rubygame/gl.rb", "lib/rubygame/queue.rb", "lib/rubygame/image.rb", "lib/rubygame/shared.rb", "lib/rubygame/audio.rb", "lib/rubygame/event_hook.rb", "lib/rubygame/event_handler.rb", "lib/rubygame/events/keyboard_events.rb", "lib/rubygame/events/joystick_events.rb", "lib/rubygame/events/misc_events.rb", "lib/rubygame/events/mouse_events.rb", "lib/rubygame/events/clock_events.rb", "lib/rubygame/gfx.rb", "lib/rubygame/deprecated_mixer.rb", "samples/demo_utf8.rb", "samples/README", "samples/song.ogg", "samples/GPL.txt", "samples/demo_music.rb", "samples/whiff.wav", "samples/framerate.rb", "samples/demo_rubygame.rb", "samples/rubygame.png", "samples/demo_gl.rb", "samples/chimp.bmp", "samples/term16.png", "samples/demo_draw.rb", "samples/chimp.rb", "samples/demo_ttf.rb", "samples/panda.png", "samples/punch.wav", "samples/FreeSans.ttf", "samples/demo_sfont.rb", "samples/image_viewer.rb", "samples/demo_gl_tex.rb", "samples/ruby.png", "samples/load_and_blit.rb", "samples/demo_curve.rb", "samples/fist.bmp", "doc/windows_install.rdoc", "doc/custom_sdl_load_paths.rdoc", "doc/keyboard_symbols.rdoc", "doc/macosx_install.rdoc", "doc/managing_framerate.rdoc", "doc/surface_palettes.rdoc", "doc/getting_started.rdoc", "README", "LICENSE", "CREDITS", "ROADMAP", "NEWS"]
  s.homepage = %q{http://rubygame.org/}
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8")
  s.requirements = ["SDL       >= 1.2.7", "SDL_gfx   >= 2.0.10 (optional)", "SDL_image >= 1.2.3  (optional)", "SDL_mixer >= 1.2.7  (optional)", "SDL_ttf   >= 2.0.6  (optional)"]
  s.rubyforge_project = %q{rubygame}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Clean and powerful library for game programming}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0.7.0"])
      s.add_runtime_dependency(%q<ruby-sdl-ffi>, [">= 0.1.0"])
    else
      s.add_dependency(%q<rake>, [">= 0.7.0"])
      s.add_dependency(%q<ruby-sdl-ffi>, [">= 0.1.0"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0.7.0"])
    s.add_dependency(%q<ruby-sdl-ffi>, [">= 0.1.0"])
  end
end
